#image-viewer-container
{
    display: none;
    position: fixed;
    z-index: 1000;
    padding: 50px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.9);
    justify-content: center;
    align-items: center;
    animation-name: fade-in;
    animation-duration: 0.5s;
}
#image-viewer-element
{
    margin: auto;
    display: block;
    max-width: 95%;
    max-height: 100%;
    width: auto;
    height: auto;
    animation-name: zoom-in;
    animation-duration: 0.5s;
}
@keyframes fade-in
{
    from 
    {
        opacity: 0;
    } 
    to
    {
        opacity: 1;
    }
}
@keyframes fade-out
{
    from 
    {
        opacity: 1;
    } 
    to
    {
        opacity: 0;
    }
}
@keyframes zoom-in
{
    from 
    {
        transform: scale(0);
    } 
    to
    {
        transform: scale(1);
    }
}